.TH PYP 1 "March 19, 2012"
.SH NAME
pyp \- The Pyed Piper: A Modern Python Alternative to awk, sed and
Other Unix Text Manipulation Utilities
.SH SYNOPSIS
.B pyp
.RI [ options ] " files " ...
.SH DESCRIPTION
\fBpyp\fP, the Pyed Piper, is a command line tool for text
manipulation. It is similar to awk and sed in functionality, but its
subcommands are Python based, and thus more familiar to many
programmers.
.sp 1
It can operate both on a per-line base and on the complete input stream.
Different features can be pipelined in a single command by using the
pipe character familiar from shell commands.
.sp 1
pyp backs up its input for reruns with modified commands, and can save
commands as macros. On the downside, the rerun feature makes it
unsuitable for continuous pipe operation.
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
For a complete description, use \-\-manual.
.TP
.B \-h, \-\-help
Show this help message and exit.
.TP
.B \-m, \-\-manual
Prints out extended help.
.TP
.B \-l, \-\-macro_list
Lists all available macros.
.TP
.B \-s MACRO_SAVE_NAME, \-\-macro_save=MACRO_SAVE_NAME
Saves current command as macro. use "#" for adding
.br
comments  EXAMPLE:
.br
pyp \-s "great_macro # prints first letter" "p[1]".
.TP
.B \-f MACRO_FIND_NAME, \-\-macro_find=MACRO_FIND_NAME
Searches for macros with keyword or user name.
.TP
.B \-d MACRO_DELETE_NAME, \-\-macro_delete=MACRO_DELETE_NAME
Deletes specified public macro.
.TP
.B \-g, \-\-macro_group
Specify group macros for save and delete; default is user.
.TP
.B \-t TEXT_FILE, \-\-text_file=TEXT_FILE
Specify text file to load. For advanced users,
.br
you should typically cat a file into pyp.
.TP
.B \-x, \-\-execute
Execute all commands.
.TP
.B \-c, \-\-turn_off_color
Prints raw, uncolored output.
.TP
.B \-u, \-\-unmodified_config
Prints out generic PypCustom.py config file.
.TP
.B \-b BLANK_INPUTS, \-\-blank_inputs=BLANK_INPUTS
Generate this number of blank input lines; useful for
.br
generating numbered lists with variable 'n'.
.TP
.B \-n, \-\-no_input
Use with command that generates output with no input;
.br
same as \-\-dummy_input 1.
.TP
.B \-k, \-\-keep_false
Print blank lines for lines that test as False.
.br
default is to filter out False lines from the output.
.TP
.B \-r, \-\-rerun
Rerun based on automatically cached data from the last run.
.br
Use this after executing "pyp", pasting input into the shell,
.br
and hitting CTRL-D.
.SH SEE ALSO
.BR awk (1),
.BR grep (1),
.BR sed (1).
.br
.SH AUTHOR
pyp was written by Toby Rosen <tobyrosen@gmail.com>.
.PP
This manual page was written by Khalid El Fathi <khalid@elfathi.fr>,
for the Debian project (and may be used by others).
